unit uTplan_smena_skupina;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tplan_smena_skupina = class;
  
  [Entity]
  [Table('plan_smena_skupina')]
  [Id('Fid_plan_smena_skupina', TIdGenerator.None)]
  [Id('Fid_plan_smena', TIdGenerator.None)]
  [Id('Fid_misto_prace', TIdGenerator.None)]
  [Id('Fid_typ_smeny', TIdGenerator.None)]
  [Id('Fid_pracovni_skupina', TIdGenerator.None)]
  Tplan_smena_skupina = class
  private
    [Column('id_plan_smena_skupina', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_plan_smena_skupina: Integer;
    
    [Column('id_plan_smena', [TColumnProp.Required])]
    Fid_plan_smena: Integer;
    
    [Column('id_misto_prace', [TColumnProp.Required])]
    Fid_misto_prace: Integer;
    
    [Column('id_typ_smeny', [TColumnProp.Required])]
    Fid_typ_smeny: Integer;
    
    [Column('id_pracovni_skupina', [TColumnProp.Required])]
    Fid_pracovni_skupina: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_plan_smena_skupina: Integer read Fid_plan_smena_skupina write Fid_plan_smena_skupina;
    property id_plan_smena: Integer read Fid_plan_smena write Fid_plan_smena;
    property id_misto_prace: Integer read Fid_misto_prace write Fid_misto_prace;
    property id_typ_smeny: Integer read Fid_typ_smeny write Fid_typ_smeny;
    property id_pracovni_skupina: Integer read Fid_pracovni_skupina write Fid_pracovni_skupina;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tplan_smena_skupina }

constructor Tplan_smena_skupina.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tplan_smena_skupina.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tplan_smena_skupina);

end.
