unit uTusers;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tusers = class;
  
  [Entity]
  [Table('users')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tusers = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 30)]
    Fname: string;
    
    [Column('password', [TColumnProp.Required], 15)]
    Fpassword: string;
    
    [Column('acess', [TColumnProp.Required])]
    Facess: Integer;
    
    [Column('prv_01', [TColumnProp.Required])]
    Fprv_01: Int64;
    
    [Column('set_01', [TColumnProp.Required])]
    Fset_01: Int64;
    
    [Column('prv_02', [TColumnProp.Required])]
    Fprv_02: Int64;
    
    [Column('set_02', [TColumnProp.Required])]
    Fset_02: Int64;
    
    [Column('prv_03', [TColumnProp.Required])]
    Fprv_03: Int64;
    
    [Column('set_03', [TColumnProp.Required])]
    Fset_03: Int64;
    
    [Column('prv_04', [TColumnProp.Required])]
    Fprv_04: Int64;
    
    [Column('set_04', [TColumnProp.Required])]
    Fset_04: Int64;
    
    [Column('prv_05', [TColumnProp.Required])]
    Fprv_05: Int64;
    
    [Column('set_05', [TColumnProp.Required])]
    Fset_05: Int64;
    
    [Column('prv_06', [TColumnProp.Required])]
    Fprv_06: Int64;
    
    [Column('set_06', [TColumnProp.Required])]
    Fset_06: Int64;
    
    [Column('prv_07', [TColumnProp.Required])]
    Fprv_07: Int64;
    
    [Column('set_07', [TColumnProp.Required])]
    Fset_07: Int64;
    
    [Column('prv_08', [TColumnProp.Required])]
    Fprv_08: Int64;
    
    [Column('set_08', [TColumnProp.Required])]
    Fset_08: Int64;
    
    [Column('prv_09', [TColumnProp.Required])]
    Fprv_09: Int64;
    
    [Column('set_09', [TColumnProp.Required])]
    Fset_09: Int64;
    
    [Column('prv_10', [TColumnProp.Required])]
    Fprv_10: Int64;
    
    [Column('set_10', [TColumnProp.Required])]
    Fset_10: Int64;
    
    [Column('prv_11', [TColumnProp.Required])]
    Fprv_11: Int64;
    
    [Column('set_11', [TColumnProp.Required])]
    Fset_11: Int64;
    
    [Column('use_worker_id', [TColumnProp.Required])]
    Fuse_worker_id: Integer;
    
    [Column('vedouci_skupiny', [TColumnProp.Required], 512)]
    Fvedouci_skupiny: string;
    
    [Column('mistr', [TColumnProp.Required], 1024)]
    Fmistr: string;
    
    [Column('stavy', [TColumnProp.Required], 1024)]
    Fstavy: string;
    
    [Column('prv_12', [TColumnProp.Required])]
    Fprv_12: Int64;
    
    [Column('set_12', [TColumnProp.Required])]
    Fset_12: Int64;
    
    [Column('prv_13', [TColumnProp.Required])]
    Fprv_13: Int64;
    
    [Column('set_13', [TColumnProp.Required])]
    Fset_13: Int64;
    
    [Column('prv_14', [TColumnProp.Required])]
    Fprv_14: Int64;
    
    [Column('set_14', [TColumnProp.Required])]
    Fset_14: Int64;
    
    [Column('prv_15', [TColumnProp.Required])]
    Fprv_15: Int64;
    
    [Column('set_15', [TColumnProp.Required])]
    Fset_15: Int64;
    
    [Column('prv_16', [TColumnProp.Required])]
    Fprv_16: Int64;
    
    [Column('set_16', [TColumnProp.Required])]
    Fset_16: Int64;
    
    [Column('gdpr_group', [TColumnProp.Required])]
    Fgdpr_group: Integer;
    
    [Column('password2', [TColumnProp.Required], 128)]
    Fpassword2: string;
    
    [Column('password2change', [TColumnProp.Required])]
    Fpassword2change: TDateTime;
    
    [Column('login_counter', [TColumnProp.Required])]
    Flogin_counter: Integer;
    
    [Column('pristup_sm_readdata', [TColumnProp.Required])]
    Fpristup_sm_readdata: Integer;
    
    [Column('pristup_zakazky', [TColumnProp.Required])]
    Fpristup_zakazky: Integer;
    
    [Column('EditaceStavu', [TColumnProp.Required], 1024)]
    FEditaceStavu: string;
    
    [Column('prv_17', [TColumnProp.Required])]
    Fprv_17: Int64;
    
    [Column('prv_18', [TColumnProp.Required])]
    Fprv_18: Int64;
    
    [Column('prv_19', [TColumnProp.Required])]
    Fprv_19: Int64;
    
    [Column('prv_20', [TColumnProp.Required])]
    Fprv_20: Int64;
    
    [Column('prv_21', [TColumnProp.Required])]
    Fprv_21: Int64;
    
    [Column('prv_22', [TColumnProp.Required])]
    Fprv_22: Int64;
    
    [Column('prv_23', [TColumnProp.Required])]
    Fprv_23: Int64;
    
    [Column('prv_24', [TColumnProp.Required])]
    Fprv_24: Int64;
    
    [Column('prv_25', [TColumnProp.Required])]
    Fprv_25: Int64;
    
    [Column('prv_26', [TColumnProp.Required])]
    Fprv_26: Int64;
    
    [Column('prv_27', [TColumnProp.Required])]
    Fprv_27: Int64;
    
    [Column('prv_28', [TColumnProp.Required])]
    Fprv_28: Int64;
    
    [Column('prv_29', [TColumnProp.Required])]
    Fprv_29: Int64;
    
    [Column('prv_30', [TColumnProp.Required])]
    Fprv_30: Int64;
    
    [Column('prv_31', [TColumnProp.Required])]
    Fprv_31: Int64;
    
    [Column('prv_32', [TColumnProp.Required])]
    Fprv_32: Int64;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property password: string read Fpassword write Fpassword;
    property acess: Integer read Facess write Facess;
    property prv_01: Int64 read Fprv_01 write Fprv_01;
    property set_01: Int64 read Fset_01 write Fset_01;
    property prv_02: Int64 read Fprv_02 write Fprv_02;
    property set_02: Int64 read Fset_02 write Fset_02;
    property prv_03: Int64 read Fprv_03 write Fprv_03;
    property set_03: Int64 read Fset_03 write Fset_03;
    property prv_04: Int64 read Fprv_04 write Fprv_04;
    property set_04: Int64 read Fset_04 write Fset_04;
    property prv_05: Int64 read Fprv_05 write Fprv_05;
    property set_05: Int64 read Fset_05 write Fset_05;
    property prv_06: Int64 read Fprv_06 write Fprv_06;
    property set_06: Int64 read Fset_06 write Fset_06;
    property prv_07: Int64 read Fprv_07 write Fprv_07;
    property set_07: Int64 read Fset_07 write Fset_07;
    property prv_08: Int64 read Fprv_08 write Fprv_08;
    property set_08: Int64 read Fset_08 write Fset_08;
    property prv_09: Int64 read Fprv_09 write Fprv_09;
    property set_09: Int64 read Fset_09 write Fset_09;
    property prv_10: Int64 read Fprv_10 write Fprv_10;
    property set_10: Int64 read Fset_10 write Fset_10;
    property prv_11: Int64 read Fprv_11 write Fprv_11;
    property set_11: Int64 read Fset_11 write Fset_11;
    property use_worker_id: Integer read Fuse_worker_id write Fuse_worker_id;
    property vedouci_skupiny: string read Fvedouci_skupiny write Fvedouci_skupiny;
    property mistr: string read Fmistr write Fmistr;
    property stavy: string read Fstavy write Fstavy;
    property prv_12: Int64 read Fprv_12 write Fprv_12;
    property set_12: Int64 read Fset_12 write Fset_12;
    property prv_13: Int64 read Fprv_13 write Fprv_13;
    property set_13: Int64 read Fset_13 write Fset_13;
    property prv_14: Int64 read Fprv_14 write Fprv_14;
    property set_14: Int64 read Fset_14 write Fset_14;
    property prv_15: Int64 read Fprv_15 write Fprv_15;
    property set_15: Int64 read Fset_15 write Fset_15;
    property prv_16: Int64 read Fprv_16 write Fprv_16;
    property set_16: Int64 read Fset_16 write Fset_16;
    property gdpr_group: Integer read Fgdpr_group write Fgdpr_group;
    property password2: string read Fpassword2 write Fpassword2;
    property password2change: TDateTime read Fpassword2change write Fpassword2change;
    property login_counter: Integer read Flogin_counter write Flogin_counter;
    property pristup_sm_readdata: Integer read Fpristup_sm_readdata write Fpristup_sm_readdata;
    property pristup_zakazky: Integer read Fpristup_zakazky write Fpristup_zakazky;
    property EditaceStavu: string read FEditaceStavu write FEditaceStavu;
    property prv_17: Int64 read Fprv_17 write Fprv_17;
    property prv_18: Int64 read Fprv_18 write Fprv_18;
    property prv_19: Int64 read Fprv_19 write Fprv_19;
    property prv_20: Int64 read Fprv_20 write Fprv_20;
    property prv_21: Int64 read Fprv_21 write Fprv_21;
    property prv_22: Int64 read Fprv_22 write Fprv_22;
    property prv_23: Int64 read Fprv_23 write Fprv_23;
    property prv_24: Int64 read Fprv_24 write Fprv_24;
    property prv_25: Int64 read Fprv_25 write Fprv_25;
    property prv_26: Int64 read Fprv_26 write Fprv_26;
    property prv_27: Int64 read Fprv_27 write Fprv_27;
    property prv_28: Int64 read Fprv_28 write Fprv_28;
    property prv_29: Int64 read Fprv_29 write Fprv_29;
    property prv_30: Int64 read Fprv_30 write Fprv_30;
    property prv_31: Int64 read Fprv_31 write Fprv_31;
    property prv_32: Int64 read Fprv_32 write Fprv_32;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tusers }

constructor Tusers.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tusers.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tusers);

end.
