unit uTworker_prava_prirazeno;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_prava_prirazeno = class;
  
  [Entity]
  [Table('worker_prava_prirazeno')]
  [Id('Fworker_id', TIdGenerator.None)]
  [Id('Fpravo_id', TIdGenerator.None)]
  Tworker_prava_prirazeno = class
  private
    [Column('worker_id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fworker_id: Integer;
    
    [Column('pravo_id', [TColumnProp.Required])]
    Fpravo_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property pravo_id: Integer read Fpravo_id write Fpravo_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_prava_prirazeno }

constructor Tworker_prava_prirazeno.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_prava_prirazeno.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_prava_prirazeno);

end.
