unit uTworker_smeny_sablony_smeny;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_smeny_sablony_smeny = class;
  
  [Entity]
  [Table('worker_smeny_sablony_smeny')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_smeny_sablony_smeny = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('sablona_id', [TColumnProp.Required])]
    Fsablona_id: Integer;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('smena_id', [TColumnProp.Required])]
    Fsmena_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property sablona_id: Integer read Fsablona_id write Fsablona_id;
    property poradi: Integer read Fporadi write Fporadi;
    property smena_id: Integer read Fsmena_id write Fsmena_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_smeny_sablony_smeny }

constructor Tworker_smeny_sablony_smeny.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_smeny_sablony_smeny.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_smeny_sablony_smeny);

end.
