unit eMISTRService;

interface

uses
  eMISTRDataModel, uTWorker, uTC_Order,
  System.Generics.Collections,
  XData.Service.Common;

type
  [ServiceContract]
  [Model('eMISTR')]
  [Route('')]
  IeMISTRService = interface(IInvokable)
    ['{80B90C82-FE60-49C9-A3EE-F760B38971ED}']
    [HttpGet] function Sum(A, B: double): double;
    // By default, any service operation responds to (is invoked by) a POST request from the client.
    [HttpGet] function EchoString(Value: string): string;
    [HttpGet] [Route('')] [Route('hello')] function Hello: string;
    [HttpGet] function GetWorkers : TList<TWorker>;
    [HttpGet] function GetOrders : TList<TC_Order>;
  end;

implementation

initialization
  RegisterServiceType(TypeInfo(IeMISTRService));

end.
