unit uTcis_pracovni_skupina;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcis_pracovni_skupina = class;
  
  [Entity]
  [Table('cis_pracovni_skupina')]
  [Id('Fid_pracovni_skupina', TIdGenerator.IdentityOrSequence)]
  Tcis_pracovni_skupina = class
  private
    [Column('id_pracovni_skupina', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_pracovni_skupina: Integer;
    
    [Column('nazev', [TColumnProp.Required], 50)]
    Fnazev: string;
    
    [Column('vyroba', [TColumnProp.Required])]
    Fvyroba: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_pracovni_skupina: Integer read Fid_pracovni_skupina write Fid_pracovni_skupina;
    property nazev: string read Fnazev write Fnazev;
    property vyroba: Integer read Fvyroba write Fvyroba;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcis_pracovni_skupina }

constructor Tcis_pracovni_skupina.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcis_pracovni_skupina.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcis_pracovni_skupina);

end.
