unit uTcis_typ_smeny;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcis_typ_smeny = class;
  
  [Entity]
  [Table('cis_typ_smeny')]
  [Id('Fid_typ_smeny', TIdGenerator.IdentityOrSequence)]
  Tcis_typ_smeny = class
  private
    [Column('id_typ_smeny', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_typ_smeny: Integer;
    
    [Column('zobrazit_v_planu', [TColumnProp.Required])]
    Fzobrazit_v_planu: Integer;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('nazev', [TColumnProp.Required], 100)]
    Fnazev: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_typ_smeny: Integer read Fid_typ_smeny write Fid_typ_smeny;
    property zobrazit_v_planu: Integer read Fzobrazit_v_planu write Fzobrazit_v_planu;
    property poradi: Integer read Fporadi write Fporadi;
    property nazev: string read Fnazev write Fnazev;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcis_typ_smeny }

constructor Tcis_typ_smeny.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcis_typ_smeny.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcis_typ_smeny);

end.
