unit uTdodaci_listy_zauctovano;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tdodaci_listy_zauctovano = class;
  
  [Entity]
  [Table('dodaci_listy_zauctovano')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tdodaci_listy_zauctovano = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('dodaci_list_id', [TColumnProp.Required])]
    Fdodaci_list_id: Integer;
    
    [Column('doklad', [], 50)]
    Fdoklad: Nullable<string>;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property dodaci_list_id: Integer read Fdodaci_list_id write Fdodaci_list_id;
    property doklad: Nullable<string> read Fdoklad write Fdoklad;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tdodaci_listy_zauctovano }

constructor Tdodaci_listy_zauctovano.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tdodaci_listy_zauctovano.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tdodaci_listy_zauctovano);

end.
