unit uTplan_smena;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tplan_smena = class;
  
  [Entity]
  [Table('plan_smena')]
  [Id('Fid_plan_smena', TIdGenerator.None)]
  [Id('Fid_typ_provoz', TIdGenerator.None)]
  [Id('Fid_typ_smeny', TIdGenerator.None)]
  [Id('Fid_misto_prace', TIdGenerator.None)]
  Tplan_smena = class
  private
    [Column('id_plan_smena', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_plan_smena: Integer;
    
    [Column('id_misto_prace', [TColumnProp.Required])]
    Fid_misto_prace: Integer;
    
    [Column('id_typ_smeny', [TColumnProp.Required])]
    Fid_typ_smeny: Integer;
    
    [Column('id_typ_provoz', [TColumnProp.Required])]
    Fid_typ_provoz: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_plan_smena: Integer read Fid_plan_smena write Fid_plan_smena;
    property id_misto_prace: Integer read Fid_misto_prace write Fid_misto_prace;
    property id_typ_smeny: Integer read Fid_typ_smeny write Fid_typ_smeny;
    property id_typ_provoz: Integer read Fid_typ_provoz write Fid_typ_provoz;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tplan_smena }

constructor Tplan_smena.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tplan_smena.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tplan_smena);

end.
