unit uTref_planjednotka_operation;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tref_planjednotka_operation = class;
  
  [Entity]
  [Table('ref_planjednotka_operation')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tref_planjednotka_operation = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('planjednotka_id', [TColumnProp.Required])]
    Fplanjednotka_id: Integer;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Integer;
    
    [Column('operation_type', [TColumnProp.Required])]
    Foperation_type: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property planjednotka_id: Integer read Fplanjednotka_id write Fplanjednotka_id;
    property operation_id: Integer read Foperation_id write Foperation_id;
    property operation_type: Integer read Foperation_type write Foperation_type;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tref_planjednotka_operation }

constructor Tref_planjednotka_operation.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tref_planjednotka_operation.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tref_planjednotka_operation);

end.
