unit uTref_planjednotka_worker;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tref_planjednotka_worker = class;
  
  [Entity]
  [Table('ref_planjednotka_worker')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tref_planjednotka_worker = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('planjednotka_id', [TColumnProp.Required])]
    Fplanjednotka_id: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('worker_type', [TColumnProp.Required])]
    Fworker_type: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property planjednotka_id: Integer read Fplanjednotka_id write Fplanjednotka_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property worker_type: Integer read Fworker_type write Fworker_type;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tref_planjednotka_worker }

constructor Tref_planjednotka_worker.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tref_planjednotka_worker.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tref_planjednotka_worker);

end.
