unit uTtisk_hlavicka_nazvy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Ttisk_hlavicka_nazvy = class;
  
  [Entity]
  [Table('tisk_hlavicka_nazvy')]
  [Id('Fslozka', TIdGenerator.None)]
  Ttisk_hlavicka_nazvy = class
  private
    [Column('slozka', [TColumnProp.Required], 100)]
    Fslozka: string;
    
    [Column('nazev_cz', [TColumnProp.Required], 100)]
    Fnazev_cz: string;
    
    [Column('nazev_en', [TColumnProp.Required], 100)]
    Fnazev_en: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property slozka: string read Fslozka write Fslozka;
    property nazev_cz: string read Fnazev_cz write Fnazev_cz;
    property nazev_en: string read Fnazev_en write Fnazev_en;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Ttisk_hlavicka_nazvy }

constructor Ttisk_hlavicka_nazvy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Ttisk_hlavicka_nazvy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Ttisk_hlavicka_nazvy);

end.
