unit uTvyrobni_calc;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tvyrobni_calc = class;
  
  [Entity]
  [Table('vyrobni_calc')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tvyrobni_calc = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('nazev', [TColumnProp.Required], 50)]
    Fnazev: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tvyrobni_calc }

constructor Tvyrobni_calc.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tvyrobni_calc.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tvyrobni_calc);

end.
