program VCL_API_Service;

uses
  Vcl.Forms,
  uConfig in 'uConfig.pas',
  Server in 'Server.pas',
  ConnectionModule in 'ConnectionModule.pas' {FireDacMySqlConnection: TDataModule},
  MainForm in 'MainForm.pas' {fmServer},
  ApiFunctionsService in 'ApiFunctionsService.pas',
  ApiFunctionsImplementation in 'ApiFunctionsImplementation.pas',
  eMISTRService in 'eMISTRService.pas',
  eMISTRServiceImplementation in 'eMISTRServiceImplementation.pas',
  IniPersist in 'IniPersist.pas',
  udm.aurelius in 'udm.aurelius.pas' {dmAurelius: TDataModule},
  eMISTRDataModel in 'Models\eMISTRDataModel.pas',
  uTaktualni_stav in 'Models\uTaktualni_stav.pas',
  uTaktualni_stav_details in 'Models\uTaktualni_stav_details.pas',
  uTauto_login in 'Models\uTauto_login.pas',
  uTc_order in 'Models\uTc_order.pas',
  uTc_order_calc in 'Models\uTc_order_calc.pas',
  uTc_order_doc in 'Models\uTc_order_doc.pas',
  uTc_order_parameters in 'Models\uTc_order_parameters.pas',
  uTc_order_parameters_def in 'Models\uTc_order_parameters_def.pas',
  uTcalc in 'Models\uTcalc.pas',
  uTcalendar in 'Models\uTcalendar.pas',
  uTcalendar_day in 'Models\uTcalendar_day.pas',
  uTcidla in 'Models\uTcidla.pas',
  uTcidla_readdata in 'Models\uTcidla_readdata.pas',
  uTcis_den in 'Models\uTcis_den.pas',
  uTcis_frekvence in 'Models\uTcis_frekvence.pas',
  uTcis_pozice in 'Models\uTcis_pozice.pas',
  uTcis_pracovni_skupina in 'Models\uTcis_pracovni_skupina.pas',
  uTcis_typ_provoz in 'Models\uTcis_typ_provoz.pas',
  uTcis_typ_smeny in 'Models\uTcis_typ_smeny.pas',
  uTciselne_rady in 'Models\uTciselne_rady.pas',
  uTcnc_group in 'Models\uTcnc_group.pas',
  uTcnc_import_casu in 'Models\uTcnc_import_casu.pas',
  uTcolors in 'Models\uTcolors.pas',
  uTcolumns in 'Models\uTcolumns.pas',
  uTcolumns_backup in 'Models\uTcolumns_backup.pas',
  uTcolumns_caption in 'Models\uTcolumns_caption.pas',
  uTcolumns_change_type in 'Models\uTcolumns_change_type.pas',
  uTcolumns_log in 'Models\uTcolumns_log.pas',
  uTconfig in 'Models\uTconfig.pas',
  uTcustomer in 'Models\uTcustomer.pas',
  uTcustomer_adresy in 'Models\uTcustomer_adresy.pas',
  uTcustomer_osoby in 'Models\uTcustomer_osoby.pas',
  uTcustomer_skupiny in 'Models\uTcustomer_skupiny.pas',
  uTcustomer_udalosti in 'Models\uTcustomer_udalosti.pas',
  uTcustomer_udalosti_typy in 'Models\uTcustomer_udalosti_typy.pas',
  uTdatum in 'Models\uTdatum.pas',
  uTdodaci_listy in 'Models\uTdodaci_listy.pas',
  uTdodaci_listy_polozky in 'Models\uTdodaci_listy_polozky.pas',
  uTdodaci_listy_zauctovano in 'Models\uTdodaci_listy_zauctovano.pas',
  uTdochazka in 'Models\uTdochazka.pas',
  uTdochazka_mirror in 'Models\uTdochazka_mirror.pas',
  uTdochazka_note in 'Models\uTdochazka_note.pas',
  uTdochazka_typy_operaci in 'Models\uTdochazka_typy_operaci.pas',
  uTdochazka_verze in 'Models\uTdochazka_verze.pas',
  uTdoklady_status_log in 'Models\uTdoklady_status_log.pas',
  uTep_resource_plan in 'Models\uTep_resource_plan.pas',
  uTep_resource_plan_default in 'Models\uTep_resource_plan_default.pas',
  uTep_resource_plan_typ in 'Models\uTep_resource_plan_typ.pas',
  uTep_simulace in 'Models\uTep_simulace.pas',
  uTep_simulace_c_order in 'Models\uTep_simulace_c_order.pas',
  uTep_simulace_order_work in 'Models\uTep_simulace_order_work.pas',
  uTep_typ_planu in 'Models\uTep_typ_planu.pas',
  uTfaktury in 'Models\uTfaktury.pas',
  uTform_caption_hook in 'Models\uTform_caption_hook.pas',
  uTformy_skupina in 'Models\uTformy_skupina.pas',
  uTgdpr_fields in 'Models\uTgdpr_fields.pas',
  uTgdpr_logs in 'Models\uTgdpr_logs.pas',
  uTgdpr_settings in 'Models\uTgdpr_settings.pas',
  uTglobal_settings in 'Models\uTglobal_settings.pas',
  uTglobal_settings_global_fields in 'Models\uTglobal_settings_global_fields.pas',
  uTglobal_settings_user_fields in 'Models\uTglobal_settings_user_fields.pas',
  uThnizda in 'Models\uThnizda.pas',
  uThnizda_logins in 'Models\uThnizda_logins.pas',
  uTinet_filters in 'Models\uTinet_filters.pas',
  uTjednotky in 'Models\uTjednotky.pas',
  uTkraticka in 'Models\uTkraticka.pas',
  uTkurz in 'Models\uTkurz.pas',
  uTkurz_meny in 'Models\uTkurz_meny.pas',
  uTlog in 'Models\uTlog.pas',
  uTmaterial in 'Models\uTmaterial.pas',
  uTmaterial_predpokladany in 'Models\uTmaterial_predpokladany.pas',
  uTmaterialy in 'Models\uTmaterialy.pas',
  uTmonitoring_readdata in 'Models\uTmonitoring_readdata.pas',
  uTmonitoring_senzory in 'Models\uTmonitoring_senzory.pas',
  uTmonitoring_senzory_typy in 'Models\uTmonitoring_senzory_typy.pas',
  uTmonitoring_senzory_typy_parametry in 'Models\uTmonitoring_senzory_typy_parametry.pas',
  uTmonitoring_stroje in 'Models\uTmonitoring_stroje.pas',
  uTnabidka_polozky in 'Models\uTnabidka_polozky.pas',
  uTnaradi_skupina in 'Models\uTnaradi_skupina.pas',
  uTnotifications in 'Models\uTnotifications.pas',
  uTobjednavky in 'Models\uTobjednavky.pas',
  uTobjednavky_doc in 'Models\uTobjednavky_doc.pas',
  uTobjednavky_polozky in 'Models\uTobjednavky_polozky.pas',
  uTobjednavky_prijate in 'Models\uTobjednavky_prijate.pas',
  uTobjednavky_prijate_polozky in 'Models\uTobjednavky_prijate_polozky.pas',
  uToperation in 'Models\uToperation.pas',
  uToperation_default in 'Models\uToperation_default.pas',
  uToperation_group in 'Models\uToperation_group.pas',
  uTorder_calc_list in 'Models\uTorder_calc_list.pas',
  uTorder_filter in 'Models\uTorder_filter.pas',
  uTorder_priority_font in 'Models\uTorder_priority_font.pas',
  uTorder_stav in 'Models\uTorder_stav.pas',
  uTorder_urovne in 'Models\uTorder_urovne.pas',
  uTorder_work in 'Models\uTorder_work.pas',
  uTorder_work_plan in 'Models\uTorder_work_plan.pas',
  uTpackages in 'Models\uTpackages.pas',
  uTpausal in 'Models\uTpausal.pas',
  uTplan_group_smeny in 'Models\uTplan_group_smeny.pas',
  uTplan_misto_prace in 'Models\uTplan_misto_prace.pas',
  uTplan_na_den in 'Models\uTplan_na_den.pas',
  uTplan_smena in 'Models\uTplan_smena.pas',
  uTplan_smena_na_den in 'Models\uTplan_smena_na_den.pas',
  uTplan_smena_skupina in 'Models\uTplan_smena_skupina.pas',
  uTplan_standardni_smena in 'Models\uTplan_standardni_smena.pas',
  uTplan_worker in 'Models\uTplan_worker.pas',
  uTplan_worker_skupina in 'Models\uTplan_worker_skupina.pas',
  uTpozice in 'Models\uTpozice.pas',
  uTprohlidky_stroje in 'Models\uTprohlidky_stroje.pas',
  uTpruv_list in 'Models\uTpruv_list.pas',
  uTreaddata in 'Models\uTreaddata.pas',
  uTreaddata_ceny in 'Models\uTreaddata_ceny.pas',
  uTreaddata_doc in 'Models\uTreaddata_doc.pas',
  uTreaddata_foto in 'Models\uTreaddata_foto.pas',
  uTreaddata_stroj in 'Models\uTreaddata_stroj.pas',
  uTreader in 'Models\uTreader.pas',
  uTref_operation_cnc in 'Models\uTref_operation_cnc.pas',
  uTref_operation_worker in 'Models\uTref_operation_worker.pas',
  uTref_planjednotka_operation in 'Models\uTref_planjednotka_operation.pas',
  uTref_planjednotka_worker in 'Models\uTref_planjednotka_worker.pas',
  uTref_user_orderstav in 'Models\uTref_user_orderstav.pas',
  uTref_user_ordertyp in 'Models\uTref_user_ordertyp.pas',
  uTref_worker_cnc in 'Models\uTref_worker_cnc.pas',
  uTref_worker_group in 'Models\uTref_worker_group.pas',
  uTregistrace in 'Models\uTregistrace.pas',
  uTrepair_type in 'Models\uTrepair_type.pas',
  uTsablony_operation_group in 'Models\uTsablony_operation_group.pas',
  uTsablony_sklad_group in 'Models\uTsablony_sklad_group.pas',
  uTscript in 'Models\uTscript.pas',
  uTserial_code in 'Models\uTserial_code.pas',
  uTservis_typ in 'Models\uTservis_typ.pas',
  uTservis_typ_ref_stroje in 'Models\uTservis_typ_ref_stroje.pas',
  uTschedulerresource in 'Models\uTschedulerresource.pas',
  uTschedulertable in 'Models\uTschedulertable.pas',
  uTsklad_formy in 'Models\uTsklad_formy.pas',
  uTsklad_formy_pohyb in 'Models\uTsklad_formy_pohyb.pas',
  uTsklad_formy_readdata in 'Models\uTsklad_formy_readdata.pas',
  uTsklad_inventura in 'Models\uTsklad_inventura.pas',
  uTsklad_inventura_log in 'Models\uTsklad_inventura_log.pas',
  uTsklad_inventura_polozky in 'Models\uTsklad_inventura_polozky.pas',
  uTsklad_inventura_soupisy in 'Models\uTsklad_inventura_soupisy.pas',
  uTsklad_inventura_typ in 'Models\uTsklad_inventura_typ.pas',
  uTsklad_material in 'Models\uTsklad_material.pas',
  uTsklad_material_doc in 'Models\uTsklad_material_doc.pas',
  uTsklad_material_dodavatele in 'Models\uTsklad_material_dodavatele.pas',
  uTsklad_material_ean in 'Models\uTsklad_material_ean.pas',
  uTsklad_material_pohyb in 'Models\uTsklad_material_pohyb.pas',
  uTsklad_material_pozice in 'Models\uTsklad_material_pozice.pas',
  uTsklad_material_pozice_readdata in 'Models\uTsklad_material_pozice_readdata.pas',
  uTsklad_material_prijemky in 'Models\uTsklad_material_prijemky.pas',
  uTsklad_material_prijemky_typy in 'Models\uTsklad_material_prijemky_typy.pas',
  uTsklad_material_readdata in 'Models\uTsklad_material_readdata.pas',
  uTsklad_material_tvar in 'Models\uTsklad_material_tvar.pas',
  uTsklad_material_vydejky in 'Models\uTsklad_material_vydejky.pas',
  uTsklad_material_vydejky_typy in 'Models\uTsklad_material_vydejky_typy.pas',
  uTsklad_naradi in 'Models\uTsklad_naradi.pas',
  uTsklad_naradi_pohyb in 'Models\uTsklad_naradi_pohyb.pas',
  uTsklad_naradi_readdata in 'Models\uTsklad_naradi_readdata.pas',
  uTsklad_skupiny in 'Models\uTsklad_skupiny.pas',
  uTsklady_materialu in 'Models\uTsklady_materialu.pas',
  uTsp_log in 'Models\uTsp_log.pas',
  uTsp_settings in 'Models\uTsp_settings.pas',
  uTstavydokladu in 'Models\uTstavydokladu.pas',
  uTstroj_group in 'Models\uTstroj_group.pas',
  uTstroje in 'Models\uTstroje.pas',
  uTstroje_stavy in 'Models\uTstroje_stavy.pas',
  uTsubdodavky in 'Models\uTsubdodavky.pas',
  uTsw_term in 'Models\uTsw_term.pas',
  uTswterm_rozdel in 'Models\uTswterm_rozdel.pas',
  uTsystem in 'Models\uTsystem.pas',
  uTsystem_terminals in 'Models\uTsystem_terminals.pas',
  uTsystem_terminals_functions in 'Models\uTsystem_terminals_functions.pas',
  uTtech_postup in 'Models\uTtech_postup.pas',
  uTtech_postup_polozky in 'Models\uTtech_postup_polozky.pas',
  uTtemp in 'Models\uTtemp.pas',
  uTtemp2 in 'Models\uTtemp2.pas',
  uTterminal in 'Models\uTterminal.pas',
  uTterminal_typ in 'Models\uTterminal_typ.pas',
  uTtisk_formulare in 'Models\uTtisk_formulare.pas',
  uTtisk_hlavicka in 'Models\uTtisk_hlavicka.pas',
  uTtisk_hlavicka_nazvy in 'Models\uTtisk_hlavicka_nazvy.pas',
  uTtisk_prava in 'Models\uTtisk_prava.pas',
  uTtyp_baleni in 'Models\uTtyp_baleni.pas',
  uTtyp_zasilky in 'Models\uTtyp_zasilky.pas',
  uTukolmzda_typ in 'Models\uTukolmzda_typ.pas',
  uTukoly in 'Models\uTukoly.pas',
  uTukoly_opakovani in 'Models\uTukoly_opakovani.pas',
  uTukoly_podminky in 'Models\uTukoly_podminky.pas',
  uTukoly_stavy in 'Models\uTukoly_stavy.pas',
  uTuser_default_view_settings in 'Models\uTuser_default_view_settings.pas',
  uTuser_filter_settings in 'Models\uTuser_filter_settings.pas',
  uTuser_print_settings in 'Models\uTuser_print_settings.pas',
  uTuser_settings in 'Models\uTuser_settings.pas',
  uTuser_settings_user_fields in 'Models\uTuser_settings_user_fields.pas',
  uTuser_view_settings in 'Models\uTuser_view_settings.pas',
  uTuserlist in 'Models\uTuserlist.pas',
  uTusers in 'Models\uTusers.pas',
  uTuzamcene_obdobi in 'Models\uTuzamcene_obdobi.pas',
  uTuzavreni_zakazek in 'Models\uTuzavreni_zakazek.pas',
  uTvyrobni_calc in 'Models\uTvyrobni_calc.pas',
  uTvyrobni_calc_material in 'Models\uTvyrobni_calc_material.pas',
  uTworker in 'Models\uTworker.pas',
  uTworker_cidla in 'Models\uTworker_cidla.pas',
  uTworker_foto in 'Models\uTworker_foto.pas',
  uTworker_functions in 'Models\uTworker_functions.pas',
  uTworker_group in 'Models\uTworker_group.pas',
  uTworker_pracovni_rezim in 'Models\uTworker_pracovni_rezim.pas',
  uTworker_prava in 'Models\uTworker_prava.pas',
  uTworker_prava_prirazeno in 'Models\uTworker_prava_prirazeno.pas',
  uTworker_prescasy in 'Models\uTworker_prescasy.pas',
  uTworker_prescasy_dochazka in 'Models\uTworker_prescasy_dochazka.pas',
  uTworker_prescasy_prevod in 'Models\uTworker_prescasy_prevod.pas',
  uTworker_proskoleni in 'Models\uTworker_proskoleni.pas',
  uTworker_proskoleni_druh in 'Models\uTworker_proskoleni_druh.pas',
  uTworker_proskoleni_readdata in 'Models\uTworker_proskoleni_readdata.pas',
  uTworker_proskoleni_typ in 'Models\uTworker_proskoleni_typ.pas',
  uTworker_role in 'Models\uTworker_role.pas',
  uTworker_smeny in 'Models\uTworker_smeny.pas',
  uTworker_smeny_sablony in 'Models\uTworker_smeny_sablony.pas',
  uTworker_smeny_sablony_smeny in 'Models\uTworker_smeny_sablony_smeny.pas',
  uTworker_svatky in 'Models\uTworker_svatky.pas',
  uTworker_workhours in 'Models\uTworker_workhours.pas',
  uTzakazky_objednavky in 'Models\uTzakazky_objednavky.pas',
  uTzpusob_dopravy in 'Models\uTzpusob_dopravy.pas',
  uTzpusob_platby in 'Models\uTzpusob_platby.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.MainFormOnTaskbar := True;
  Application.CreateForm(TFireDacMySqlConnection, FireDacMySqlConnection);
  Application.CreateForm(TdmAurelius, dmAurelius);
  Application.CreateForm(TfmServer, fmServer);
  Application.Run;
end.
